﻿Type=Service
Version=5.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public SQL1 As SQL
	Public SQLDataBasePath As String
	Public SQLDateBaseName As String
	Public intSelectedTab As Int	
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	SQLDataBasePath = File.DirInternal
	SQLDateBaseName = "mrw.sdb"
	
	'check if the database already exists
	If File.Exists(SQLDataBasePath, SQLDateBaseName) = True Then
	'If yes initialize it
		SQL1.Initialize(SQLDataBasePath, SQLDateBaseName, True)
	Else
	'if no copy it
		File.Copy(File.DirAssets, SQLDateBaseName, SQLDataBasePath, SQLDateBaseName)
	'and initialize it
		SQL1.Initialize(SQLDataBasePath, SQLDateBaseName, True)
	End If	

End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
